Subject: bug#51688: ELC+ELN international/emoji.elc crashes

From: Robert Pluim <[email-masked]>
Date: Tue, 23 Nov 2021 15:42:57 +0100

>>>>> On Tue, 23 Nov 2021 14:34:45 +0000, Andrea Corallo <[email-masked]> said:

    Andrea> Robert Pluim <[email-masked]> writes:
    >>>>>>> On Tue, 23 Nov 2021 14:42:11 +0200, Eli Zaretskii <[email-masked]> said:
    >> 
    >> >> From: Robert Pluim <[email-masked]>
    >> >> Cc: [email-masked],  Andreas Schwab <[email-masked]>, Eli
    >> >> Zaretskii <[email-masked]>
    >> >> Date: Tue, 23 Nov 2021 09:44:01 +0100
    >> >> 
    >> >> >>>>> On Mon, 22 Nov 2021 15:55:57 +0100, Robert Pluim <[email-masked]> said:
    >> >> 
    Robert> Iʼve seen this crash *once* in my Tumbleweed VM, which unfortunately
    Robert> had core dumps disabled. Iʼve not seen it since enabling core
    Robert> dumps. Iʼll see what happens if I uses Andreas' configure options.
    >> >> 
    >> >> So this only seems to happen in a clean checkout, and I suspect I need
    >> >> to remove ~/.emacs.d/eln-cache as well.
    >> 
    Eli> Can you produce a reproducer and post it?  See etc/DEBUG for how to do
    Eli> that.
    >> 
    >> Attached (itʼs rather large). Note that running 'NATIVE_FULL_AOT=1
    >> make' again, lisp/international/emoji.el is successfully compiled, so
    >> Iʼm not 100% sure that the repro file will cause a crash.
    >> 

    Andrea> Could you verify if you can produce the libgccjit crash using the
    Andrea> produced reproducer?

    Andrea> You should just compile it with like

    Andrea> $ gcc emoji-aca2d225-0997194d_libgccjit_repro.c -lgccjit

    Andrea> And run it to see if it crashes.

    Andrea> $ ./a.out

No, that doesnʼt crash. And similarly for the .c files in
.emacs.d/eln-cache, they donʼt crash.

Robert
--